Subject: Re: [patch v2] fix stack overflow in pktgen_if_write()

From: Dan Carpenter <[email-masked]>
Date: Thu, 28 Oct 2010 08:05:00 +0200

On Wed, Oct 27, 2010 at 07:06:57PM -0400, Nelson Elhage wrote:
> You want to add a trailing NUL, or else printk will read off the end of the
> buffer.
> 
> Also, by memdup()ing count + 1 bytes, you're technically reading one more byte
> than userspace asked for, which could in principle lead to a spurious EFAULT.
> 

That's a lot of bugs per line.  :(  I'm eating humble pie today...

regards,
dan carpenter